Unicode problem with plugin description

2016-07-10 05:51 AM - Pedro Venâncio

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23192

Description

I'm getting an error with some plugins (eg NTv2 Datum Transformations) from the nightly build of 30/06/2016, because of the accents

that are in metadata.txt files: 

https://github.com/NaturalGIS/ntv2_transformations/blob/master/metadata.txt ("Venâncio" / "Krüger")

An error occurred during execution of following code:

import pyplugin_installer

UnicodeEncodeError: 'ascii' codec can't encode characters in position 10-11: ordinal not in range(128)

Python version:

2.7.6 (default, Jun 22 2015, 18:03:54)

[GCC 4.8.2]

QGIS version:

2.15.0-Master 'Master', 5f66276

An error occurred during execution of following code:

pyplugin_installer.initPluginInstaller()

Traceback (most recent call last):

  File "", line 1, in

NameError: name 'pyplugin_installer' is not defined

Python version:

2.7.6 (default, Jun 22 2015, 18:03:54)

[GCC 4.8.2]

QGIS version:

2.15.0-Master 'Master', 5f66276

Removing all the accents from metadata.txt, it stop giving problems.

I'm facing with this both on Linux and Windows, and I've just tested a clean Linux LiveUSB, and confirm the problem.

Can this be related to commit:4b16c64
https://github.com/NaturalGIS/ntv2_transformations/blob/master/metadata.txt


Associated revisions

Revision 5b2646cf - 2016-10-07 05:41 AM - Martin Dobias

Fix problems with plugins using unicode characters (fixes #15256)

regression introduced during python3 porting

Revision 43fa88e7 - 2016-10-07 07:33 AM - Martin Dobias

Followup 5b2646c to fix tests (refs #15256)

Revision b643364e - 2016-10-07 08:38 AM - Martin Dobias

followup 43fa88e fix python3 (refs #15256)

History

#1 - 2016-07-12 03:41 AM - Giovanni Manghi

now I see this issue on Windows. On Linux (KDE) no python error, but this plugins do not stick as activated once closed and reopened QGIS.

#2 - 2016-07-12 03:44 AM - Giovanni Manghi

- File 217.jpg added

moreover the information panel of plugins looks very odd (font size), seen on both Windows and Linux, see attached image.

#3 - 2016-07-13 02:34 AM - Giovanni Manghi

just made a clean installation of Linux and QGIS 2.16 and I can see the issue also on this platform.

#4 - 2016-08-05 04:46 AM - Andre Jesus

Giovanni Manghi wrote:

moreover the information panel of plugins looks very odd (font size), seen on both Windows and Linux, see attached image.

Not only that plugin. All plugin description have those huge font sizes

https://s32.postimg.org/jg89sif9x/Image_033.jpg

#5 - 2016-10-06 07:49 AM - Martin Landa

Giovanni Manghi wrote:

now I see this issue on Windows. On Linux (KDE) no python error, but this plugins do not stick as activated once closed and reopened QGIS.
I can confirm this bug also on Linux (Ubuntu 16.04 + QGIS 2.16). When I remove all accents from metadata.txt file the error disappears.

#6 - 2016-10-06 08:46 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"5b2646cf0560a85899a7e258ff311daa91d48e94".
